package com.ruoyi.orderManagement.BasicData.mapper;


import com.ruoyi.orderManagement.BasicData.domain.FleetCompanyMsg;

import java.util.List;
import java.util.Map;

/**
 * 【车队】Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface FleetCompanyMsgMapper 
{
    /**
     * 查询【车队】
     * 
     * @param id 【车队】ID
     * @return 【车队】
     */
    public FleetCompanyMsg selectFleetCompanyMsgById(Long id);

    /**
     * 查询【车队】列表
     * 
     * @param fleetCompanyMsg 【车队】
     * @return 【车队】集合
     */
    public List<FleetCompanyMsg> selectFleetCompanyMsgList(FleetCompanyMsg fleetCompanyMsg);

    public List<Map<String, Object>> selectFleetCompanyMsgListMap(FleetCompanyMsg fleetCompanyMsg);

    /**
     * 新增【车队】
     * 
     * @param fleetCompanyMsg 【车队】
     * @return 结果
     */
    public int insertFleetCompanyMsg(FleetCompanyMsg fleetCompanyMsg);

    /**
     * 修改【车队】
     * 
     * @param fleetCompanyMsg 【车队】
     * @return 结果
     */
    public int updateFleetCompanyMsg(FleetCompanyMsg fleetCompanyMsg);

    /**
     * 删除【车队】
     * 
     * @param id 【车队】ID
     * @return 结果
     */
    public int deleteFleetCompanyMsgById(Long id);

    /**
     * 批量删除【车队】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFleetCompanyMsgByIds(Long[] ids);

    /**
     *  检验编号唯一
     * @param companyName
     * @return
     */
    public FleetCompanyMsg checkFNoUnique(String companyName);
}
